var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html, css } from 'lit-element';
import { customElement, query } from 'lit/decorators.js';
// const ENTER_KEY = 13;
// const ESC_KEY = 27
const TodoInputEventType = {
    SUBMIT_TODO: 'submit-todo'
};
let TodoInputElement = class TodoInputElement extends LitElement {
    render() {
        return html `
      <input type="text"
        @keyup="${this._onkeyup}"
        @input="${this._oninput}">
    `;
    }
    _onkeyup(event) {
        if (event.code === 'Enter' || event.code === 'NumpadEnter') {
            this.dispatchEvent(new CustomEvent(TodoInputEventType.SUBMIT_TODO, {
                bubbles: true,
                composed: true,
                detail: this._input.value
            }));
        }
    }
    _oninput(event) {
        console.log('oninput:', event);
    }
};
TodoInputElement.styles = css `
    :host {
      display: block;
    }
  `;
__decorate([
    query('input', true)
], TodoInputElement.prototype, "_input", void 0);
TodoInputElement = __decorate([
    customElement('todo-input')
], TodoInputElement);
export { TodoInputElement };
//# sourceMappingURL=todo-input.js.map